package com.yd.csf.api.service;

import com.yd.common.result.Result;
import com.yd.csf.feign.dto.appointment.ApiInsurantInfoDto;
import com.yd.csf.service.model.Insurant;

public interface ApiInsurantService {

    Result<ApiInsurantInfoDto> detail(String appointmentBizId, String insurantBizId);

    Result edit(ApiInsurantInfoDto apiInsurantInfoDto);

    Result<Insurant> addInsurantData(ApiInsurantInfoDto dto, String appointmentBizId);

    Result<Insurant> editInsurantData(ApiInsurantInfoDto dto, String appointmentBizId);

}
